com.jogamp.gluegen

## Enum JavaEmitter.MethodAccess

- java.lang.Object
- - java.lang.Enum<JavaEmitter.MethodAccess>
  - - com.jogamp.gluegen.JavaEmitter.MethodAccess

- All Implemented Interfaces:
    Serializable, Comparable<JavaEmitter.MethodAccess>
  Enclosing class:
    JavaEmitter

      public static enum JavaEmitter.MethodAccess
      extends Enum<JavaEmitter.MethodAccess>

  Access control for emitted Java methods.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `PACKAGE_PRIVATE`
    `PRIVATE`
    `PROTECTED`
    `PUBLIC`
    `PUBLIC_ABSTRACT`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getJavaName()`
    `static JavaEmitter.MethodAccess` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static JavaEmitter.MethodAccess[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### PUBLIC

          public static final JavaEmitter.MethodAccess PUBLIC

    - #### PROTECTED

          public static final JavaEmitter.MethodAccess PROTECTED

    - #### PRIVATE

          public static final JavaEmitter.MethodAccess PRIVATE

    - #### PACKAGE_PRIVATE

          public static final JavaEmitter.MethodAccess PACKAGE_PRIVATE

    - #### PUBLIC_ABSTRACT

          public static final JavaEmitter.MethodAccess PUBLIC_ABSTRACT

  - ### Method Detail

    - #### values

          public static JavaEmitter.MethodAccess[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (JavaEmitter.MethodAccess c : JavaEmitter.MethodAccess.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static JavaEmitter.MethodAccess valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getJavaName

          public final String getJavaName()